config.hpp File Reference

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_CONFIG_STRICT() 0x0001
#define | MSGPACK_PP_CONFIG_IDEAL() 0x0002
#define | MSGPACK_PP_CONFIG_MSVC() 0x0004
#define | MSGPACK_PP_CONFIG_MWCC() 0x0008
#define | MSGPACK_PP_CONFIG_BCC() 0x0010
#define | MSGPACK_PP_CONFIG_EDG() 0x0020
#define | MSGPACK_PP_CONFIG_DMC() 0x0040
#define | MSGPACK_PP_CONFIG_FLAGS() (MSGPACK_PP_CONFIG_STRICT())
#define | MSGPACK_PP_CONFIG_EXTENDED_LINE_INFO 0
#define | MSGPACK_PP_CONFIG_ERRORS 1
#define | MSGPACK_PP_VARIADICS_MSVC 0
#define | MSGPACK_PP_VARIADICS 0

## Macro Definition Documentation

## MSGPACK_PP_CONFIG_BCC

#define MSGPACK_PP_CONFIG_BCC | ( |  | ) | 0x0010

## MSGPACK_PP_CONFIG_DMC

#define MSGPACK_PP_CONFIG_DMC | ( |  | ) | 0x0040

## MSGPACK_PP_CONFIG_EDG

#define MSGPACK_PP_CONFIG_EDG | ( |  | ) | 0x0020

## MSGPACK_PP_CONFIG_ERRORS

#define MSGPACK_PP_CONFIG_ERRORS 1

## MSGPACK_PP_CONFIG_EXTENDED_LINE_INFO

#define MSGPACK_PP_CONFIG_EXTENDED_LINE_INFO 0

## MSGPACK_PP_CONFIG_FLAGS

#define MSGPACK_PP_CONFIG_FLAGS | ( |  | ) | (MSGPACK_PP_CONFIG_STRICT())

## MSGPACK_PP_CONFIG_IDEAL

#define MSGPACK_PP_CONFIG_IDEAL | ( |  | ) | 0x0002

## MSGPACK_PP_CONFIG_MSVC

#define MSGPACK_PP_CONFIG_MSVC | ( |  | ) | 0x0004

## MSGPACK_PP_CONFIG_MWCC

#define MSGPACK_PP_CONFIG_MWCC | ( |  | ) | 0x0008

## MSGPACK_PP_CONFIG_STRICT

#define MSGPACK_PP_CONFIG_STRICT | ( |  | ) | 0x0001

## MSGPACK_PP_VARIADICS

#define MSGPACK_PP_VARIADICS 0

## MSGPACK_PP_VARIADICS_MSVC

#define MSGPACK_PP_VARIADICS_MSVC 0